Bug 21598 - budget_parent_id isn't in GROUP BY - GetBudgetHierarchy
Summary: budget_parent_id isn't in GROUP BY - GetBudgetHierarchy
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 21597
  Show dependency treegraph
 
Reported: 2018-10-18 11:35 UTC by Jonathan Druart
Modified: 2018-11-28 15:35 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21598: 'koha_kohadev.aqbudgets.budget_parent_id' isn't in GROUP BY (1.62 KB, patch)
2018-10-18 12:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21598: 'koha_kohadev.aqbudgets.budget_parent_id' isn't in GROUP BY (1.69 KB, patch)
2018-10-18 13:17 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-10-18 11:35:24 UTC
http://pro.kohadev.org/cgi-bin/koha/admin/aqbudgets.pl

    'koha_kohadev.aqbudgets.budget_parent_id' isn't in GROUP BY

    DBD::mysql::db selectall_hashref failed:
    'koha_kohadev.aqbudgets.budget_parent_id' isn't in GROUP BY [for
    Statement "

        at /home/vagrant/kohaclone/C4/Budgets.pm line 558.
    and
        at /home/vagrant/kohaclone/C4/Budgets.pm line 565.
Comment 1 Jonathan Druart 2018-10-18 12:03:00 UTC
Created attachment 80811 [details] [review]
Bug 21598: 'koha_kohadev.aqbudgets.budget_parent_id' isn't in GROUP BY

DBD::mysql::db selectall_hashref failed:
'koha_kohadev.aqbudgets.budget_parent_id' isn't in GROUP BY [for
Statement "

    at /home/vagrant/kohaclone/C4/Budgets.pm line 558.
and
    at /home/vagrant/kohaclone/C4/Budgets.pm line 565.

Test plan:
hit /cgi-bin/koha/admin/aqbudgets.pl
Comment 2 Martin Renvoize 2018-10-18 13:17:24 UTC
Created attachment 80836 [details] [review]
Bug 21598: 'koha_kohadev.aqbudgets.budget_parent_id' isn't in GROUP BY

DBD::mysql::db selectall_hashref failed:
'koha_kohadev.aqbudgets.budget_parent_id' isn't in GROUP BY [for
Statement "

    at /home/vagrant/kohaclone/C4/Budgets.pm line 558.
and
    at /home/vagrant/kohaclone/C4/Budgets.pm line 565.

Test plan:
hit /cgi-bin/koha/admin/aqbudgets.pl

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2018-10-18 13:18:03 UTC
Trivial fix.. Passing QA
Comment 4 Nick Clemens 2018-10-18 14:32:40 UTC
Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-10-26 13:29:34 UTC
Pushed to 18.05.x for 18.05.06
Comment 6 Fridolin SOMERS 2018-11-09 15:19:23 UTC
21599
Comment 7 Fridolin SOMERS 2018-11-28 15:35:59 UTC
SQL modes not in 17.11.x